## org.opengis.layer
Interface AbstractURL

All Known Subinterfaces:
  AbstractSizedURL, DataURL, FeatureListURL, LegendURL, LogoURL, MetadataURL, StyleSheetURL, StyleURL

    public interface AbstractURL

A simple starting point for most of the various URL elements used by `Layer`s and `Style`s.

Since:
  GeoAPI 2.0
Version:
  Implementation specification 1.3

Method Summary
`String` `getFormat()` Provides the mime-type format of the expected response data.
`OnLineResource` `getOnlineResource()` Provides the `OnLineResource` this `AbstractURL` represents.

Method Detail

### getFormat

    String getFormat()

  Provides the mime-type format of the expected response data.

  Returns:
    the mime-type of the onlineResource's data.

### getOnlineResource

    OnLineResource getOnlineResource()

  Provides the `OnLineResource` this `AbstractURL` represents. The `OnLineResource` contains the actual `java.net.URI` to connect to.

  Returns:
    the linkage

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.